'use client'
import { useSession } from "next-auth/react";


export default function User({ params }: { params: { userid: string } }) {
    const { data: session } = useSession();
    return (
      <div className="mt-8 px-4">
         <div className="flex-shrink-0">
         <title>{`GameUnity User`}</title>
        <div className="h-10 w-10 rounded-full bg-gray-300"></div> {/* Profile picture */}
        </div>
        <div className="flex flex-col">
          <p className="text-white text-2xl font-semibold">
            {session?.user.name}
          </p>
          <div 
            className="
              flex 
              flex-row 
              items-center 
              gap-2 
              mt-4 
              text-neutral-500
          ">
          </div>
        </div>
        <div className="flex flex-row items-center mt-4 gap-6">
          <div className="flex flex-row items-center gap-1">
            <p className="text-neutral-500">Following</p>
          </div>
          <div className="flex flex-row items-center gap-1">
            <p className="text-white">{}</p>
            <p className="text-neutral-500">Followers</p>
          </div>
        </div>
      </div>

    )
}